package com.steerinfo.meterwork.meterworkcalibrationbranch.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="校秤记录数据次表")
public class MeterWorkCalibrationBranch implements IBasePO<String> {
        /**
         * 校秤计量编号(CALIBRATION_BRANCH_NO,VARCHAR,20)
         */
        @ApiModelProperty(value="校秤计量编号",required=true)
        private String calibrationBranchNo;

        /**
         * 校秤编号(CALIBRATION_MAIN_NO,VARCHAR,20)
         */
        @ApiModelProperty(value="校秤编号",required=true)
        private String calibrationMainNo;

        /**
         * 计量点编号(BASE_SPOT_NO,VARCHAR,20)
         */
        @ApiModelProperty(value="计量点编号",required=true)
        private String baseSpotNo;

        /**
         * 计量点名称(BASE_SPOT_NAME,VARCHAR,40)
         */
        @ApiModelProperty(value="计量点名称",required=true)
        private String baseSpotName;

        /**
         * 计量点类型编号(SPOT_TYPE_NO,VARCHAR,20)
         */
        @ApiModelProperty(value="计量点类型编号",required=true)
        private String spotTypeNo;

        /**
         * 计量点类型名称(SPOT_TYPE_NAME,VARCHAR,30)
         */
        @ApiModelProperty(value="计量点类型名称",required=true)
        private String spotTypeName;

        /**
         * 校秤类型编号(CALIBRATION_TYPE_NO,VARCHAR,20)
         */
        @ApiModelProperty(value="校秤类型编号",required=true)
        private String calibrationTypeNo;

        /**
         * 校秤类型名称(CALIBRATION_TYPE_NAME,VARCHAR,30)
         */
        @ApiModelProperty(value="校秤类型名称",required=true)
        private String calibrationTypeName;

        /**
         * 校秤重量(CALIBRATION_WEIGHT,VARCHAR,30)
         */
        @ApiModelProperty(value="校秤重量",required=true)
        private String calibrationWeight;

        /**
         * 状态(VALUE_FLAG,VARCHAR,1)
         */
        @ApiModelProperty(value="状态",required=false)
        private String valueFlag;

        /**
         * 比对校秤计量编号(CALIBR_CONTRAST_BRANCH_NO,VARCHAR,20)
         */
        @ApiModelProperty(value="比对校秤计量编号",required=false)
        private String calibrContrastBranchNo;

        /**
         * 计量员编号(CREATE_MAN_NO,VARCHAR,20)
         */
        @ApiModelProperty(value="计量员编号",required=false)
        private String createManNo;

        /**
         * 计量员姓名(CREATE_MAN_NAME,VARCHAR,30)
         */
        @ApiModelProperty(value="计量员姓名",required=false)
        private String createManName;

        /**
         * 计量时间(CREATE_TIME,TIMESTAMP,7)
         */
        @ApiModelProperty(value="计量时间",required=true)
        private Date createTime;

        /**
         * 车号(CAR_NO,VARCHAR,20)
         */
        @ApiModelProperty(value="车号",required=false)
        private String carNo;

        private static final long serialVersionUID = 1L;

        @Override
        public String getId() {
                return this.calibrationBranchNo;
        }

        @Override
        public void setId(String calibrationBranchNo) {
                this.calibrationBranchNo = calibrationBranchNo == null ? null : calibrationBranchNo.trim();
        }

        public String getCalibrationBranchNo() {
                return calibrationBranchNo;
        }

        public void setCalibrationBranchNo(String calibrationBranchNo) {
                this.calibrationBranchNo = calibrationBranchNo == null ? null : calibrationBranchNo.trim();
        }

        public String getCalibrationMainNo() {
                return calibrationMainNo;
        }

        public void setCalibrationMainNo(String calibrationMainNo) {
                this.calibrationMainNo = calibrationMainNo == null ? null : calibrationMainNo.trim();
        }

        public String getBaseSpotNo() {
                return baseSpotNo;
        }

        public void setBaseSpotNo(String baseSpotNo) {
                this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
        }

        public String getBaseSpotName() {
                return baseSpotName;
        }

        public void setBaseSpotName(String baseSpotName) {
                this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
        }

        public String getSpotTypeNo() {
                return spotTypeNo;
        }

        public void setSpotTypeNo(String spotTypeNo) {
                this.spotTypeNo = spotTypeNo == null ? null : spotTypeNo.trim();
        }

        public String getSpotTypeName() {
                return spotTypeName;
        }

        public void setSpotTypeName(String spotTypeName) {
                this.spotTypeName = spotTypeName == null ? null : spotTypeName.trim();
        }

        public String getCalibrationTypeNo() {
                return calibrationTypeNo;
        }

        public void setCalibrationTypeNo(String calibrationTypeNo) {
                this.calibrationTypeNo = calibrationTypeNo == null ? null : calibrationTypeNo.trim();
        }

        public String getCalibrationTypeName() {
                return calibrationTypeName;
        }

        public void setCalibrationTypeName(String calibrationTypeName) {
                this.calibrationTypeName = calibrationTypeName == null ? null : calibrationTypeName.trim();
        }

        public String getCalibrationWeight() {
                return calibrationWeight;
        }

        public void setCalibrationWeight(String calibrationWeight) {
                this.calibrationWeight = calibrationWeight == null ? null : calibrationWeight.trim();
        }

        public String getValueFlag() {
                return valueFlag;
        }

        public void setValueFlag(String valueFlag) {
                this.valueFlag = valueFlag == null ? null : valueFlag.trim();
        }

        public String getCalibrContrastBranchNo() {
                return calibrContrastBranchNo;
        }

        public void setCalibrContrastBranchNo(String calibrContrastBranchNo) {
                this.calibrContrastBranchNo = calibrContrastBranchNo == null ? null : calibrContrastBranchNo.trim();
        }

        public String getCreateManNo() {
                return createManNo;
        }

        public void setCreateManNo(String createManNo) {
                this.createManNo = createManNo == null ? null : createManNo.trim();
        }

        public String getCreateManName() {
                return createManName;
        }

        public void setCreateManName(String createManName) {
                this.createManName = createManName == null ? null : createManName.trim();
        }

        public Date getCreateTime() {
                return createTime;
        }

        public void setCreateTime(Date createTime) {
                this.createTime = createTime;
        }

        public String getCarNo() {
                return carNo;
        }

        public void setCarNo(String carNo) {
                this.carNo = carNo == null ? null : carNo.trim();
        }

        @Override
        public String toString() {
                StringBuilder sb = new StringBuilder();
                sb.append(getClass().getSimpleName());
                sb.append(" [");
                sb.append("Hash = ").append(hashCode());
                sb.append(", calibrationBranchNo=").append(calibrationBranchNo);
                sb.append(", calibrationMainNo=").append(calibrationMainNo);
                sb.append(", baseSpotNo=").append(baseSpotNo);
                sb.append(", baseSpotName=").append(baseSpotName);
                sb.append(", spotTypeNo=").append(spotTypeNo);
                sb.append(", spotTypeName=").append(spotTypeName);
                sb.append(", calibrationTypeNo=").append(calibrationTypeNo);
                sb.append(", calibrationTypeName=").append(calibrationTypeName);
                sb.append(", calibrationWeight=").append(calibrationWeight);
                sb.append(", valueFlag=").append(valueFlag);
                sb.append(", calibrContrastBranchNo=").append(calibrContrastBranchNo);
                sb.append(", createManNo=").append(createManNo);
                sb.append(", createManName=").append(createManName);
                sb.append(", createTime=").append(createTime);
                sb.append(", carNo=").append(carNo);
                sb.append(", serialVersionUID=").append(serialVersionUID);
                sb.append("]");
                return sb.toString();
        }
}